//
// Copyright 2016 comScore, Inc. All right reserved.
//

#import "SCORStreamSenseState.h"
#import "SCORStreamSenseEvent.h"

@class SCORStreamSensePlaylist;
@class SCORStreamSenseClip;
@class SCORConfiguration;
@class SCORTaskExecutor;

@interface SCORStreamSense : NSObject

- (instancetype)init;

@property(nonatomic) BOOL sendPauseOnRebuffering;
@property(nonatomic) BOOL pausePlaySwitchDelayEnabled;

- (NSMutableDictionary *)createMeasurementLabelsWithInitialLabels:(NSDictionary *)initialLabels;

- (NSMutableDictionary *)createMeasurementLabels:(SCORStreamSenseEvent)eventType initialLabels:(NSDictionary *)initialLabels;

- (void)setLabel:(NSString *)name value:(NSString *)value;

- (void)setLabels:(NSDictionary *)labels;

- (void)removeAllLabels;

- (void)removeLabel:(NSString *)name;

- (NSString *)label:(NSString *)name;

- (NSMutableDictionary *)labels;

- (void)reset;

- (void)reset:(NSArray *)keepLabels;

- (void)notify:(SCORStreamSenseEvent)playerEvent position:(long)ms;

- (void)notify:(SCORStreamSenseEvent)playerEvent position:(long)ms labels:(NSDictionary *)labels;

- (SCORStreamSenseClip *)clip;

- (void)setClip:(NSDictionary *)labels;

- (void)setClip:(NSDictionary *)labels playlistLoop:(BOOL)loop;

- (SCORStreamSensePlaylist *)playlist;

- (void)setPlaylist:(NSDictionary *)labels;

@property(readonly) SCORStreamSenseState state;

- (void)importState:(NSDictionary *)labels;

@property(readonly, copy) NSDictionary *exportState;

@property(readonly, copy) NSString *version;

- (void)setHeartbeatIntervals:(NSArray *)intervals;


@property NSTimeInterval pauseOnBufferingInterval;


@property NSTimeInterval keepAliveInterval;

@end
